How to retrieve Financial Transactions
When an End User has successfully completed the connection process for a financial account, it is possible to retrieve the list of transaction related to that account.
Here is an overview of the whole process:
- Authenticate into the platform to obtain a JWT token
curl --request POST https://common.api.acubeapi.com/login \
-H 'Content-Type: application/json' -H 'Accept: application/json' \
--data-raw '{"email": "my@email.test", "password": "myPassword", "environment": "sandbox"}'
- Create a new Business Registry, i.e. a fiscal entity that owns one or more accounts we want to work with
curl --request POST https://ob-sandbox.api.acubeapi.com/business-registry \
-H 'Content-Type: application/json' -H 'Accept: application/json' \
-H "Authorization: bearer JWT_TOKEN_HERE" \
--data-raw '{"fiscalId": "SOME_ID", "email": "some@email.test", "businessName": "Some Name"}'
- Start a Connect Request, that is the process by which a Business Registry express its consent to access data from accounts it owns.
curl --request POST https://ob-sandbox.api.acubeapi.com/business-registry/SOME_ID/connect \
-H 'Content-Type: application/json' -H 'Accept: application/json' \
-H "Authorization: bearer JWT_TOKEN_HERE" \
--data-raw '{"locale": "en"}'
You will get back a URL. Within this mini white-labeled website, the bank accounts owner can proceed with the consent. During this process please remember to check the GDPR consent box. Please note that user needs to explicitly choose which account to enable, as in the following image. When the chosen Financial Institution exposes a single account, that account is enabled automatically and this step is skipped.

- As the next step it is possible to retrieve a list of Accounts
sending a
GETrequest to thebusiness-registry/SOME_ID/accountsendpoint
curl --request GET https://ob-sandbox.api.acubeapi.com/business-registry/SOME_ID/accounts \
-H 'Content-Type: application/json' -H 'Accept: application/json' \
-H "Authorization: bearer JWT_TOKEN_HERE"
- Then you can query the list of Transactions related to a particular Business Registry via a
GETcall to this endpoint:business-registry/SOME_ID/transactions
curl --request GET https://ob-sandbox.api.acubeapi.com/business-registry/SOME_ID/transactions \
-H 'Content-Type: application/json' -H 'Accept: application/json' \
-H "Authorization: bearer JWT_TOKEN_HERE"
Please note that, when neither the madeOn nor the updatedAt filter is set, this API returns only the transactions made during
the current month, because an automatic filter on madeOn is applied. These two filters are the only ones that widen that
interval: to retrieve older transactions set one of them explicitly, as in madeOn[after]=2022-01-20 or
updatedAt[strictly_after]=2022-01-30T02:03:24Z. Any other filter is applied in addition to the current month.